Summary:	An X Window System utility for monitoring system resources
Summary(de.UTF-8):	X11-Util zur Anzeige von Systemressourcen
Summary(es.UTF-8):	Utilitario X11 para visualizar los recursos del sistema
Summary(fr.UTF-8):	Utilitaire X11 pour visualiser les ressources système
Summary(pl.UTF-8):	Narzędzie pod X11 monitorujące zasoby systemowe
Summary(pt_BR.UTF-8):	Utilitário X11 para visualizar os recursos do sistema
Summary(tr.UTF-8):	Sistem kaynaklarını denetleyen X11 yardımcı programı
Summary(zh_CN.UTF-8):	系统资源的图形监视工具
Name:		xosview2
Version:	2.3.3
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	https://downloads.sourceforge.net/xosview/%{name}-%{version}.tar.gz
# Source0-md5:	0c2c1f718128982582f88dc516bc00e0
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		https://xosview.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXpm-devel
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/share/X11/app-defaults

%description
The xosview utility displays a set of bar graphs which show the
current system state, including memory usage, CPU usage, system load,
etc. Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for
monitoring your system's performance.

%description -l de.UTF-8
xosview stellt den aktuellen Systemzustand mit Balkengrafiken dar -
Speichernutzung, CPU- und Netzwerkauslastung. Sehr nützlich.

%description -l es.UTF-8
xosview nos ofrece un conveniente gráfico de barras del estado actual
del sistema - uso de memoria, carga de la CPU y uso de red. Muy útil
para monitoración del estado de tu sistema.

%description -l fr.UTF-8
xosview offre un histogramme représentant l'état courant du système -
l'utilisation mémoire, la charge CPU et l'utilisation du réseau. Très
utile pour surveiller ces états.

%description -l pl.UTF-8
xosview wyświetla zestaw słupków, które pokazują aktualny stan
systemu, w tym wykorzystanie pamięci, procesora itp. xosview działa
pod X Window System.

%description -l pt_BR.UTF-8
O xosview oferece um conveniente gráfico de barras do estado atual do
sistema - uso de memória, carga da CPU e uso de rede. Muito útil para
monitoração do status do seu sistema.

%description -l tr.UTF-8
xosview sistemin o anki durumunu (işlemci yükü, bellek ve ağ
kullanımı) küçük bir pencerede grafik ortamda sunar.

%prep
%setup -q

%build
cd config
%{__autoconf} -Wall configure.in > ../configure
%{__autoheader}
%{__mv} config.h.in ..
cd ..
chmod 755 configure
CXXFLAGS="%{rpmcxxflags} -std=c++17"
%configure \
	--with-app-defaults=%{_appdefsdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

# packaged as doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/xosview2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING COPYING.BSD README TODO doc/README.linux
%attr(755,root,root) %{_bindir}/xosview2
%{_desktopdir}/xosview2.desktop
%{_pixmapsdir}/xosview2.png
%{_appdefsdir}/XOsview2
%{_mandir}/man1/xosview2.1*
%changelog
* Sun Feb 04 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xosview2.git;a=log;h=master

* Sun Feb 04 2024 Jakub Bogusz <qboosh@pld-linux.org> dccfbc2
- xosview.spec updated to xosview2 2.3.3 (fork made by the original author, developed independent of xosview 1.x now)

* Sun Feb 04 2024 Jakub Bogusz <qboosh@pld-linux.org> f9513a8
- updated to 1.8.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> df915d7
- dropped pre-cvs changelog

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c05383b
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 3ab62c5
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> d260393
- s/enviroment/environment/

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1b0952c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9dfefb5
- converted to UTF-8

* Thu Oct 26 2006 Jakub Bogusz <qboosh@pld-linux.org> e22aaa0
- added ac patch

* Thu Oct 26 2006 Jakub Bogusz <qboosh@pld-linux.org> e142211
- ac fix

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 87c782c
- orphaned, outdated

* Mon Mar 27 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 72b0786
- modular xorg deps

* Mon Mar 27 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 0a855c7
- obsolate

* Mon Mar 27 2006 Marcin Banasiak <marcin.banasiak@gmail.com> c9a895b
- updated to 1.8.3
- removed obsolate xrm_fix.patch

* Fri Feb 25 2005 Robert Kurowski <koorek@pld-linux.org> 335a1b3
- Fixed bug #5587, rel. 3

* Fri Feb 25 2005 Robert Kurowski <koorek@pld-linux.org> daa2512
- X Resource Manager fix

* Tue Sep 21 2004 ankry <ankry@pld-linux.org> f4eda43
- rel. 2

* Tue Sep 21 2004 ankry <ankry@pld-linux.org> 4254c32
- Categories fix

* Sun Aug 29 2004 Jakub Bogusz <qboosh@pld-linux.org> 48a844d
- outdated

* Fri Aug 27 2004 undefine <undefine@pld-linux.org> 14a16a6
- update to 1.8.2, remove outdated patches (-proc appled, -proc26 does
  in some other way, but works, -non-i386 too)

